#include <Block/SpriteBlock/BasicBlock/Incinerator/Incinerator.hpp>
#include <Entity/PhysicsEntity/CameraEntity/Player/Player.hpp>
#include <World/LocalWorld/LocalWorld.hpp>

Incinerator::Incinerator(std::string name) :
    BasicBlock(
        name,
        "Incinerator",
        90.0f,
        {
            "incinerator/side",
            "incinerator/side",
            "incinerator/side",
            "incinerator/side",
            "incinerator/bottom",
            "incinerator/top"
        },
        {0, 0, 0, 8, 8, 8},
        "incinerator/icon"
    )
{
    withMetalSounds();
}

bool Incinerator::canManuallyDig()
{
    return true;
}